#pragma once


inline const char* vert = R"(
    #version 330 core

    layout (location = 0) in vec3 position;
    layout (location = 1) in vec4 color;


    uniform mat4 prMatrix;
    uniform mat4 camMatrix;

    out DATA
    {
        vec4 color_out;
    } vs_out;


    void main()
    {
        gl_Position = prMatrix * camMatrix * vec4(position.x, position.y, position.z, 1.0);
        vs_out.color_out = color;
    }
)";

inline const char* frag = R"(
    #version 330 core
    layout (location = 0) out vec4 color;
    in DATA
    {
        vec4 color_out;
    } fs_in;
    void main()
    {
        if(fs_in.color_out.a < 0.1)
        {
            discard;
        }
        color = fs_in.color_out;
    } 
)";
